#!/usr/bin/env python3


def gen_table (n):
    sn = str (n)
    return [ sn + " * " + str (i) + " = " + str (i * n) for i in range(11)]

#autres variantes :
def gen_table2 (n):
    sn = str (n)
    res = []
    for i in range(11):
        res.append(sn + " * " + str (i) + " = " + str (i * n))
    return res

def gen_table3 (n):
    sn = str (n)
    res = [ 0 ] * 11
    for i in range(11):
        res[i] = sn + " * " + str (i) + " = " + str (i * n)
    return res

def html_table (n):
    prefix = """<!DOCTYPE html>
<html lang="fr">
    <head>
      <meta charset="utf-8" />
      <title>Table de multiplication</title>
    </head>
    <body> <ul>"""
    suffix = """    </ul>
    </body>
</html>"""
    f = open ("resultat.html", "w")
    print (prefix, end='', file=f)
    for line in gen_table (n):
        print ("<li>", end='', file=f)
        print (line, end='', file=f)
        print ("</li>", file=f)
    print (suffix, file=f)
    f.close()

